List GPU Products
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/products \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/products"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"cpuPerGpu": 123,
"memoryPerGpu": 123,
"diskPerGpu": 123,
"availableDeploy": true,
"minRootFS": 123,
"maxRootFS": 123,
"minLocalStorage": 123,
"maxLocalStorage": 123,
"regions": {},
"price": 123,
"monthlyPrice": [
{
"price": 123,
"month": 123
}
],
"billingMethods": [
"<string>"
],
"spotPrice": "<string>",
"inventoryState": "<string>"
}
]
}Product
List GPU Products
GET
/
gpu-instance
/
openapi
/
v1
/
products
List GPU Products
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
string
Filter by specified cluster ID. String, length limit: 0-255 characters.
integer
Filter by number of GPUs. Integer, valid range: [0, 8].
string
Filter by product name (fuzzy match). String, length limit: 0-255 characters.
integer
Filter by minimum CPU cores per GPU. Integer, value must be greater than or equal to 0.
integer
Filter by minimum memory per GPU (GB). Integer, value must be greater than or equal to 0.
integer
Filter by minimum root filesystem size per GPU (GB). Integer, value must be greater than or equal to 0.
string
Filter by billing method. Options:
onDemand: Pay-as-you-go instance (default)monthly: Subscription instance (monthly or yearly)spot: Spot instance billing
Response
object[]
必須
GPU product information.
非表示 properties
非表示 properties
string
必須
Product ID.
string
必須
Product name.
integer
必須
Number of CPU cores per GPU.
integer
必須
Memory size per GPU (GB).
integer
必須
Disk size per GPU (GB).
boolean
必須
Whether this product can be used to create an instance. Values:
- true: The product can be used to create an instance.
- false: Insufficient resources, cannot create an instance.
integer
必須
Minimum available root filesystem size (GB).
integer
必須
Maximum available root filesystem size (GB).
integer
必須
Minimum available local storage size (GB).
integer
必須
Maximum available local storage size (GB).
[string]
必須
Available clusters. Indicates that this product is only available in the specified clusters. If the list is empty, the product is available in all clusters.
integer
必須
Price for creating a pay-as-you-go instance with this product.
object[]
必須
string[]
必須
The billing methods supported by this product. Valid values:
onDemand: Pay-as-you-go billingmonthly: Monthly subscription billingspot: Spot instance billing
string
Spot billing instance price.
string
Product inventory status:
none: Out of stocklow: Low stocknormal: Normal stockhigh: Sufficient stock
最終更新日 2026年5月15日
⌘I